Bug 354371 - readdir on nfs4 passing non-posix errors to userspace
readdir on nfs4 passing non-posix errors to userspace
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Layton
:
Depends On:
Blocks: 437479
  Show dependency treegraph
 
Reported: 2007-10-26 12:12 EDT by Brian Pontz
Modified: 2008-07-24 15:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:18:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Pontz 2007-10-26 12:12:12 EDT
Description of problem:

When using nfsv4 mount, users get error

: Unknown error 523

when doing ls in mounted dir


Version-Release number of selected component (if applicable):

Kernel Linux 2.6.9-55.0.9.ELsmp #1 SMP Tue Sep 25 02:16:15 EDT 2007 x86_64
x86_64 x86_64 GNU/Linux


How reproducible:

RHEL 4.5 with latest updates using nfsv4


Actual results:
ls
ls: reading directory .: Unknown error 523


Expected results:

Directory listing

Additional info:

I believe this was fixed already but maybe it hasnt made it into your updates
yet. Look at
http://linux-nfs.org/pipermail/nfsv4/2005-August/002379.html
Comment 1 Jeff Layton 2007-11-02 07:10:07 EDT
Changing tagline to something more descriptive...

Patch in description looks sane -- have you actually tested it? Can you give a
bit more detail on how to reproduce this? When I do a ls in nfsv4 directory it
works fine for me...
Comment 3 Brian Pontz 2007-11-05 12:55:42 EST
We have a couple of nfs servers. One of them I'm trying to change from NFSV3 to
NFSV4. I made the exports to look like

/data/sptemps           *(rw,fsid=0,insecure,no_subtree_check,async)
/data/sptemps/sptemp2   *(rw,insecure,no_subtree_check,async,nohide)


automount options are
-fstype=nfs4,rw,rsize=8192,wsize=8192,timeo=600,retrans=6

for some reason we get the error stated above after the mount and we do a "ls".
We have a RHEL 5 nfs server setup like this RHEL 4.5 one but it doesnt have
these issues when using the same options and same clients.

Let me know if you need more info.  I havent tried the patch I pointed to earlier.
Comment 4 Jeff Layton 2007-11-19 20:30:23 EST
I've posted some test kernels with this patch on my people page:

http://people.redhat.com/jlayton

..could you test them and confirm that the problem is resolved?
Comment 7 Vivek Goyal 2008-03-05 22:29:57 EST
Committed in 68.17.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 11 errata-xmlrpc 2008-07-24 15:18:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.